// ************************************************************************
//                /////            -/      /|    /                  |\
//   |\          /                 /      / |   /|             |\   |
//   |\          \\\\             /      /  |  / |             |\ /\|
// /\|               \  /\ /\  * /      /   | /  |  * |/     /\|  \/
// \/            ///// / / -/ / /      /    |/   | /  /|     \/
//
// Snail Mix Digital Audio Library, CopyRight(C) 1998 Timothy Curtis Harper
// ************************************************************************
// THIS LIBRARY IS PROVIDED AS AN "AS IS" BASIS.  THE AUTHOR IS NOT
// RESPONSIBLE FOR ANY INCONSEQUENTIAL DAMAGE THAT MAY OCCURE BY COMPILING
// THIS SOURCE.  READ "README.TXT" FOR MORE DETAILS
// ************************************************************************
//            See updates, news, and download new version at
//                 http://members.tripod.com/~SaltySnail
/////////////////////////////////////////////////////////////////////////////
#include "fixed.h"

inline unsigned int AssignFixed(float Source)
{
return( Source*(1<<NumFixedBits) );
}

inline unsigned int IntToFixed(unsigned int Source)
{
return(Source<<NumFixedBits);
}

inline unsigned int FixedToIntDec(unsigned int Source)
{
return(Source & ((1<<NumFixedBits)-1));
}

inline unsigned int FixedToInt(unsigned int Source)
{
return(Source>>NumFixedBits);
}

inline unsigned int FixedMult(unsigned int Factor1,unsigned int Factor2)
{
return((Factor1*Factor2) >> NumFixedBits);
}

inline unsigned int FixedMultEr(unsigned int Factor1,unsigned int Factor2)
{
return((Factor1 >> NumFixedBits)*Factor2) ;
}

inline unsigned int FixedDiv(unsigned int Factor1,unsigned int Factor2)
{
return((Factor1 / Factor2) << NumFixedBits);
}
